Intermittent FATAL ERROR: Non-local network connections are disabled and a connection attempt to www.mozilla.org (104.16.41.2) was made. during shutdown

RESOLVED WORKSFORME

Status

()

Firefox
Developer Tools
P3
normal
RESOLVED WORKSFORME
11 months ago
8 months ago

People

(Reporter: aryx, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

https://treeherder.mozilla.org/logviewer.html#?job_id=107881350&repo=autoland

[task 2017-06-17T07:36:04.624929Z] 07:36:04     INFO - TEST-OK | devtools/client/webide/test/test_toolbox.html | took 3549ms
[task 2017-06-17T07:36:04.653055Z] 07:36:04     INFO - TEST-START | devtools/client/webide/test/test_zoom.html
[task 2017-06-17T07:36:04.816275Z] 07:36:04     INFO - WebIDE open
[task 2017-06-17T07:36:04.844304Z] 07:36:04     INFO - TEST-PASS | devtools/client/webide/test/test_zoom.html | Reach min zoom 
[task 2017-06-17T07:36:04.901087Z] 07:36:04     INFO - TEST-PASS | devtools/client/webide/test/test_zoom.html | Reach max zoom 
[task 2017-06-17T07:36:04.901161Z] 07:36:04     INFO - Closing WebIDE
[task 2017-06-17T07:36:04.969676Z] 07:36:04     INFO - WebIDE closed
[task 2017-06-17T07:36:04.986174Z] 07:36:04     INFO - opening WebIDE
[task 2017-06-17T07:36:05.152347Z] 07:36:05     INFO - WebIDE open
[task 2017-06-17T07:36:05.152631Z] 07:36:05     INFO - TEST-PASS | devtools/client/webide/test/test_zoom.html | Zoom restored 
[task 2017-06-17T07:36:05.160056Z] 07:36:05     INFO - TEST-PASS | devtools/client/webide/test/test_zoom.html | Zoom reset 
[task 2017-06-17T07:36:05.162796Z] 07:36:05     INFO - Closing WebIDE
[task 2017-06-17T07:36:05.204156Z] 07:36:05     INFO - WebIDE closed
[task 2017-06-17T07:36:05.232359Z] 07:36:05     INFO - GECKO(2410) | MEMORY STAT | vsize 2314MB | residentFast 368MB | heapAllocated 152MB
[task 2017-06-17T07:36:05.236670Z] 07:36:05     INFO - TEST-OK | devtools/client/webide/test/test_zoom.html | took 588ms
[task 2017-06-17T07:36:06.262856Z] 07:36:06     INFO - TEST-START | Shutdown
[task 2017-06-17T07:36:06.263790Z] 07:36:06     INFO - Passed:  167
[task 2017-06-17T07:36:06.264585Z] 07:36:06     INFO - Failed:  0
[task 2017-06-17T07:36:06.265345Z] 07:36:06     INFO - Todo:    0
[task 2017-06-17T07:36:06.266113Z] 07:36:06     INFO - Mode:    non-e10s
[task 2017-06-17T07:36:06.266985Z] 07:36:06     INFO - Slowest: 6272ms - chrome://mochitests/content/chrome/devtools/client/webide/test/test_autoselect_project.html
[task 2017-06-17T07:36:06.267770Z] 07:36:06     INFO - SimpleTest FINISHED
[task 2017-06-17T07:36:06.268524Z] 07:36:06     INFO - TEST-INFO | Ran 1 Loops
[task 2017-06-17T07:36:06.269352Z] 07:36:06     INFO - SimpleTest FINISHED
[task 2017-06-17T07:36:07.499185Z] 07:36:07     INFO - TEST-INFO | Main app process: exit 0
[task 2017-06-17T07:36:07.506441Z] 07:36:07     INFO - runtests.py | Application ran for: 0:00:35.577246
[task 2017-06-17T07:36:07.507279Z] 07:36:07     INFO - zombiecheck | Reading PID log: /tmp/tmpsLQ9Wspidlog
[task 2017-06-17T07:36:07.507853Z] 07:36:07     INFO - ==> process 2410 launched child process 2436
[task 2017-06-17T07:36:07.507913Z] 07:36:07     INFO - zombiecheck | Checking for orphan process with PID: 2436
[task 2017-06-17T07:36:07.508586Z] 07:36:07     INFO - Stopping web server
[task 2017-06-17T07:36:07.511232Z] 07:36:07     INFO - Stopping web socket server
[task 2017-06-17T07:36:07.527131Z] 07:36:07     INFO - Stopping ssltunnel
[task 2017-06-17T07:36:07.547780Z] 07:36:07  WARNING - leakcheck | refcount logging is off, so leaks can't be detected!
[task 2017-06-17T07:36:07.548470Z] 07:36:07     INFO - runtests.py | Running tests: end.
[task 2017-06-17T07:36:07.576715Z] 07:36:07     INFO - Buffered messages finished
[task 2017-06-17T07:36:07.577751Z] 07:36:07     INFO -  dir: devtools/server/tests/mochitest
[task 2017-06-17T07:36:07.614308Z] 07:36:07     INFO -  Setting pipeline to PAUSED ...
[task 2017-06-17T07:36:07.615345Z] 07:36:07     INFO -  Pipeline is PREROLLING ...
[task 2017-06-17T07:36:07.615480Z] 07:36:07     INFO -  Pipeline is PREROLLED ...
[task 2017-06-17T07:36:07.616001Z] 07:36:07     INFO -  Setting pipeline to PLAYING ...
[task 2017-06-17T07:36:07.616140Z] 07:36:07     INFO -  New clock: GstSystemClock
[task 2017-06-17T07:36:07.645151Z] 07:36:07     INFO -  Got EOS from element "pipeline0".
[task 2017-06-17T07:36:07.645430Z] 07:36:07     INFO -  Execution ended after 33487619 ns.
[task 2017-06-17T07:36:07.645542Z] 07:36:07     INFO -  Setting pipeline to PAUSED ...
[task 2017-06-17T07:36:07.646190Z] 07:36:07     INFO -  Setting pipeline to READY ...
[task 2017-06-17T07:36:07.646281Z] 07:36:07     INFO -  Setting pipeline to NULL ...
[task 2017-06-17T07:36:07.646835Z] 07:36:07     INFO -  Freeing pipeline ...
[task 2017-06-17T07:36:07.781976Z] 07:36:07     INFO -  pk12util: PKCS12 IMPORT SUCCESSFUL
[task 2017-06-17T07:36:07.904203Z] 07:36:07     INFO - MochitestServer : launching [u'/home/worker/workspace/build/tests/bin/xpcshell', '-g', '/home/worker/workspace/build/application/firefox', '-v', '170', '-f', '/home/worker/workspace/build/tests/bin/components/httpd.js', '-e', "const _PROFILE_PATH = '/tmp/tmpSMQRST.mozrunner'; const _SERVER_PORT = '8888'; const _SERVER_ADDR = '127.0.0.1'; const _TEST_PREFIX = undefined; const _DISPLAY_RESULTS = false;", '-f', '/home/worker/workspace/build/tests/mochitest/server.js']
[task 2017-06-17T07:36:07.904288Z] 07:36:07     INFO - runtests.py | Server pid: 2543
[task 2017-06-17T07:36:07.920177Z] 07:36:07     INFO - runtests.py | Websocket server pid: 2546
[task 2017-06-17T07:36:07.936203Z] 07:36:07     INFO - runtests.py | SSL tunnel pid: 2549
[task 2017-06-17T07:36:08.085262Z] 07:36:08     INFO - runtests.py | Running with e10s: False
[task 2017-06-17T07:36:08.086063Z] 07:36:08     INFO - runtests.py | Running tests: start.
[task 2017-06-17T07:36:08.086228Z] 07:36:08     INFO - 
[task 2017-06-17T07:36:08.087826Z] 07:36:08     INFO - Application command: /home/worker/workspace/build/application/firefox/firefox -marionette -foreground -profile /tmp/tmpSMQRST.mozrunner
[task 2017-06-17T07:36:08.104691Z] 07:36:08     INFO - runtests.py | Application pid: 2573
[task 2017-06-17T07:36:08.104971Z] 07:36:08     INFO - TEST-INFO | started process GECKO(2573)
[task 2017-06-17T07:36:09.013347Z] 07:36:09     INFO - GECKO(2573) | 1497684969008	addons.xpi	WARN	disabling workerbootstrap-test@mozilla.org since it is not multiprocess compatible
[task 2017-06-17T07:36:09.034036Z] 07:36:09     INFO - GECKO(2573) | 1497684969030	addons.xpi	WARN	disabling worker-test@mozilla.org since it is not multiprocess compatible
[task 2017-06-17T07:36:09.049981Z] 07:36:09     INFO - GECKO(2573) | 1497684969045	addons.xpi	WARN	disabling indexedDB-test@mozilla.org since it is not multiprocess compatible
[task 2017-06-17T07:36:09.066569Z] 07:36:09     INFO - GECKO(2573) | 1497684969057	addons.xpi	WARN	disabling workerbootstrap-test@mozilla.org since it is not multiprocess compatible
[task 2017-06-17T07:36:09.067759Z] 07:36:09     INFO - GECKO(2573) | 1497684969058	addons.xpi	WARN	disabling workerbootstrap-test@mozilla.org since it is not multiprocess compatible
[task 2017-06-17T07:36:09.069358Z] 07:36:09     INFO - GECKO(2573) | 1497684969059	addons.xpi-utils	WARN	Disabling foreign installed add-on workerbootstrap-test@mozilla.org in app-profile
[task 2017-06-17T07:36:09.086000Z] 07:36:09     INFO - GECKO(2573) | 1497684969073	addons.xpi	WARN	disabling worker-test@mozilla.org since it is not multiprocess compatible
[task 2017-06-17T07:36:09.086267Z] 07:36:09     INFO - GECKO(2573) | 1497684969074	addons.xpi	WARN	disabling worker-test@mozilla.org since it is not multiprocess compatible
[task 2017-06-17T07:36:09.086684Z] 07:36:09     INFO - GECKO(2573) | 1497684969074	addons.xpi-utils	WARN	Disabling foreign installed add-on worker-test@mozilla.org in app-profile
[task 2017-06-17T07:36:09.088913Z] 07:36:09     INFO - GECKO(2573) | 1497684969082	addons.xpi	WARN	disabling indexedDB-test@mozilla.org since it is not multiprocess compatible
[task 2017-06-17T07:36:09.089038Z] 07:36:09     INFO - GECKO(2573) | 1497684969083	addons.xpi	WARN	disabling indexedDB-test@mozilla.org since it is not multiprocess compatible
[task 2017-06-17T07:36:09.089147Z] 07:36:09     INFO - GECKO(2573) | 1497684969084	addons.xpi-utils	WARN	Disabling foreign installed add-on indexedDB-test@mozilla.org in app-profile
[task 2017-06-17T07:36:09.190747Z] 07:36:09     INFO - GECKO(2573) | 1497684969185	addons.xpi	WARN	disabling ubufox@ubuntu.com since it is not multiprocess compatible
[task 2017-06-17T07:36:09.192208Z] 07:36:09     INFO - GECKO(2573) | 1497684969186	addons.xpi	WARN	disabling ubufox@ubuntu.com since it is not multiprocess compatible
[task 2017-06-17T07:36:09.193326Z] 07:36:09     INFO - GECKO(2573) | 1497684969186	addons.xpi-utils	WARN	Disabling foreign installed add-on ubufox@ubuntu.com in app-system-share
[task 2017-06-17T07:36:12.383049Z] 07:36:12     INFO - GECKO(2573) | FATAL ERROR: Non-local network connections are disabled and a connection attempt to www.mozilla.org (104.16.41.2) was made.
[task 2017-06-17T07:36:12.383204Z] 07:36:12     INFO - GECKO(2573) | You should only access hostnames available via the test networking proxy (if running mochitests) or from a test-specific httpd.js server (if running xpcshell tests). Browser services should be disabled or redirected to a local server.
[task 2017-06-17T07:36:12.383291Z] 07:36:12     INFO - GECKO(2573) | ExceptionHandler::GenerateDump cloned child 2741
[task 2017-06-17T07:36:12.383350Z] 07:36:12     INFO - GECKO(2573) | ExceptionHandler::SendContinueSignalToChild sent continue signal to child
[task 2017-06-17T07:36:12.403252Z] 07:36:12     INFO - GECKO(2573) | ExceptionHandler::WaitForContinueSignal waiting for continue signal...
[task 2017-06-17T07:36:12.605956Z] 07:36:12     INFO - GECKO(2573) | [GFX1-]: Receive IPC close with reason=AbnormalShutdown
[task 2017-06-17T07:36:12.607102Z] 07:36:12     INFO - GECKO(2573) | [Child 2626] WARNING: pipe error (3): Connection reset by peer: file /home/worker/workspace/build/src/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
[task 2017-06-17T07:39:08.177172Z] 07:39:08     INFO -  Traceback (most recent call last):
[task 2017-06-17T07:39:08.177641Z] 07:39:08     INFO -    File "/home/worker/workspace/build/tests/mochitest/runtests.py", line 2515, in doTests
[task 2017-06-17T07:39:08.178003Z] 07:39:08     INFO -      marionette_args=marionette_args,
[task 2017-06-17T07:39:08.178443Z] 07:39:08     INFO -    File "/home/worker/workspace/build/tests/mochitest/runtests.py", line 2112, in runApp
[task 2017-06-17T07:39:08.178987Z] 07:39:08     INFO -      self.marionette.start_session(timeout=port_timeout)
[task 2017-06-17T07:39:08.179559Z] 07:39:08     INFO -    File "/home/worker/workspace/build/venv/local/lib/python2.7/site-packages/marionette_driver/decorators.py", line 28, in _
[task 2017-06-17T07:39:08.180071Z] 07:39:08     INFO -      m._handle_socket_failure()
[task 2017-06-17T07:39:08.180612Z] 07:39:08     INFO -    File "/home/worker/workspace/build/venv/local/lib/python2.7/site-packages/marionette_driver/decorators.py", line 23, in _
[task 2017-06-17T07:39:08.181213Z] 07:39:08     INFO -      return func(*args, **kwargs)
[task 2017-06-17T07:39:08.181878Z] 07:39:08     INFO -    File "/home/worker/workspace/build/venv/local/lib/python2.7/site-packages/marionette_driver/marionette.py", line 1210, in start_session
[task 2017-06-17T07:39:08.182528Z] 07:39:08     INFO -      self.protocol, _ = self.client.connect()
[task 2017-06-17T07:39:08.183186Z] 07:39:08     INFO -    File "/home/worker/workspace/build/venv/local/lib/python2.7/site-packages/marionette_driver/transport.py", line 223, in connect
[task 2017-06-17T07:39:08.183823Z] 07:39:08     INFO -      self.sock.connect((self.addr, self.port))
[task 2017-06-17T07:39:08.184693Z] 07:39:08     INFO -    File "/usr/lib/python2.7/socket.py", line 224, in meth
[task 2017-06-17T07:39:08.185350Z] 07:39:08     INFO -      return getattr(self._sock,name)(*args)
[task 2017-06-17T07:39:08.186002Z] 07:39:08     INFO -  error: [Errno 111] Connection refused
[task 2017-06-17T07:39:08.186908Z] 07:39:08    ERROR - Automation Error: Received unexpected exception while running application

Updated

11 months ago
Component: General → Developer Tools

Comment 1

11 months ago
1 failures in 814 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1373977&startday=2017-06-12&endday=2017-06-18&tree=all

Comment 2

11 months ago
DevTools bug triage (filter on CLIMBING SHOES).
Priority: -- → P3
No failures over the past 3 months. Safe to close I assume.
Status: NEW → RESOLVED
Last Resolved: 8 months ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.